Skip to main content
GET
Get a catalog product by id

Authorizations

Authorization
string
header
required

Merchant API key bearer token. Legacy wire prefixes api_key_ and api_ are also accepted.

Path Parameters

productId
string
required

Product TypeID (prod_...) to fetch.

Query Parameters

merchantId
string
required

Merchant TypeID (mer_...) used for authorization scope.

Example:

"mer_01hxy8m1nqk9g3x3y3p0azq2bg"

Response

200 - application/json
productId
string
required
merchantId
string
required
name
string
required
Minimum string length: 1
status
enum<string>
required
Available options:
active,
inactive
active
boolean
required
createdAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
description
string